use std::io;
use sys_metrics::disks;

fn main() {
    println!("Availble disks for installation:");
    println!("");

    match disks::get_physical_ioblocks() {
        Ok(disk_list) => {
            for disk in disk_list {
                println!("Disk: {}", disk.device_name);
            }
        }
        Err(_e) => println!("{}",_e),
    }

    let mut drive_name = String::new();
    
    println!("");
    println!("Which drive do we want to use for this installation?: {}", drive_name);

    io::stdin()
        .read_line(&mut drive_name)
        .expect("Failed to read line");
        
    let _drive_name = drive_name.trim();

    // let deposit_number: f64 = deposit_amount.parse().expect("Input not an integer");

}
